Retrieve all Restore
This endpoint enables retrieving all Restore using pagination and optional filters.
The token can be generated using the Authentication API.
The ID (UUID) of the Snapshot.
a8784665-3d99-5464-af32-30a2967f58e7The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100Response filter to list only items contain the specified name. The value is case insensitive and matched on the 'displayName' field.
Returned all requested Restore successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of Restore resources.
5348fe6c-5e4a-5ff3-aa3c-d5232987f9d5The type of the resource.
The URL of the list of Restore resources.
/snapshots/{snapshotId}/restoresThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /snapshots/{snapshotId}/restores HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "5348fe6c-5e4a-5ff3-aa3c-d5232987f9d5",
"type": "collection",
"href": "/snapshots/{snapshotId}/restores",
"items": [
{
"id": "39fe1580-552b-5182-8939-a3ac6c38f94c",
"type": "restore",
"href": "/snapshots/{snapshotId}/restores/39fe1580-552b-5182-8939-a3ac6c38f94c",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "In progress.",
"restoreTime": "2026-01-01T00:00:00.000Z",
"restoredSnapshotId": "123e4567-e89b-12d3-a456-426614174000"
},
"properties": {
"replicasetId": "123e4567-e89b-12d3-a456-426614174000",
"displayName": "In-Memory DB snapshot",
"description": "Snapshot of the In-Memory DB replica set."
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?